# isNotEmpty property

1. @protected

bool get isNotEmpty

Returns true if aliases are registered for the current thread.

## Returns:

`true` if the registry contains aliases, `false` otherwise

## Example:

    final registry = SimpleAliasRegistry();
    print(registry.isNotEmpty); // false

    registry.registerAlias('service', 'alias');
    print(registry.isNotEmpty); // true

## Implementation

    @protected
    bool get isNotEmpty => synchronized(this, () {
      final aliasMap = _getAliasMap();
      return aliasMap.isNotEmpty;
    });